# Generated from simple-websocket-vcr-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name simple-websocket-vcr

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: simple_websocket_vcr is VCR add-on for websockets
License: Apache-2.0
URL: https://github.com/Jiri-Kremser/simple-websocket-vcr
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
# BuildRequires: rubygem(coveralls) >= 0.8
# BuildRequires: rubygem(coveralls) < 1
# BuildRequires: rubygem(rspec-rails) >= 3.0
# BuildRequires: rubygem(rspec-rails) < 4
# BuildRequires: rubygem(rubocop) = 0.34.2
# BuildRequires: rubygem(shoulda) >= 3.5
# BuildRequires: rubygem(shoulda) < 4
# BuildRequires: rubygem(vcr) >= 2.9
# BuildRequires: rubygem(vcr) < 3
# BuildRequires: rubygem(webmock) >= 1.7
# BuildRequires: rubygem(webmock) < 2
BuildArch: noarch

%description
Websocket VCR add-on.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.coveralls.yml
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CHANGES.md
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/simple-websocket-vcr.gemspec
%{gem_instdir}/spec

%changelog
* Wed Sep 15 2021 mockbuilder - 1.0.0-1
- Initial package
